%global dlrn_nvr 0.7.2-0.20181008172517.9a4bc2d
%global dlrn 1
%define upstream_version 0.7.2
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-pacemaker
Version: 0.7.2
Release: 0.20181008172522.9a4bc2d%{?dist}
Summary:        Puppet module for Pacemaker
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-pacemaker

Source0: 0.7.2-0.20181008172517.9a4bc2d-9a4bc2d3582b519953dff7caa1e1c0e32dc6731c.tar.gz


# patches_ignore=DROP-IN-RPM
# patches_base=9a4bc2d3582b519953dff7caa1e1c0e32dc6731c
Patch0001: 0001-Fix-reconnect_interval-parameter.patch
Patch0002: 0002-Improve-deep_compare-detection.patch
Patch0003: 0003-Match-node-properties-more-strictly.patch
Patch0004: 0004-Fix-up-ordering-of-remote-authkeys-and-a-couple-of-p.patch
Patch0005: 0005-Add-Development-in-README.patch
Patch0006: 0006-Fix-typos-in-doc.patch
Patch0007: 0007-Update-min-tox-version-to-2.0.patch
Patch0008: 0008-Skip-some-tests-for-Ubuntu-18.04-and-puppet-4.8.patch
Patch0009: 0009-Fix-stdlib-version-in-metadata.patch
Patch0010: 0010-Fix-container_backend-customizability.patch
Patch0011: 0011-Deprecate-include_class.patch
Patch0012: 0012-Remove-unneeded-spec-testing-file.patch
Patch0013: 0013-Update-mailinglist-from-dev-to-discuss.patch
Patch0014: 0014-Add-cluster_members_addr-parameter-to-specify-ip-add.patch
Patch0015: 0015-Modify-puppet-version-4-to-5.patch
Patch0016: 0016-Initial-pcs-0.10-support.patch
Patch0017: 0017-Initial-support-for-properties-managed-by-pcs-0.10.patch
Patch0018: 0018-Add-fence-redfish-support.patch
Patch0019: 0019-Make-the-redfish-stonith-agent-a-manual-agent-and-ad.patch
Patch0020: 0020-Release-0.7.2.patch
Patch0021: 0021-Update-master-for-stable-0.7.x.patch
Patch0022: 0022-Do-not-avoid-same-node-with-INFINITY-score.patch
Patch0023: 0023-pcs-0.10-clone-resources-changed-parameters.patch
Patch0024: 0024-Introduce-a-pcs_without_push-function.patch
Patch0025: 0025-Add-new-pcs-0.10-compatible-remote-addition-implemen.patch
Patch0026: 0026-Redirect-stderr-to-stdout-in-push_cib-and-backup_cib.patch
Patch0027: 0027-Force-to-use-markdown-to-prevent-pypi-issue.patch
Patch0028: 0028-Scale-up-logic-with-extra-IP-addresses-for-pcs-0.10.patch
Patch0029: 0029-Support-upcoming-forcing-of-tls-priorities.patch
Patch0030: 0030-Pin-rspec-puppet-facts-if-older-ruby.patch
Patch0031: 0031-Support-for-SBD-watchdog-only.patch
Patch0032: 0032-pcs-0.10-authenticate-nodes-before-adding-them-to-th.patch
Patch0033: 0033-Extend-deep_compare-to-stonith-resources.patch
Patch0034: 0034-Silence-useless-facter-errors-when-calling-crm_node.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-firewall
Requires:       puppet >= 2.7.0

%description
Puppet module for Pacemaker

%prep
%setup -q -n openstack-pacemaker-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/



%files
%{_datadir}/openstack-puppet/modules/pacemaker/


%changelog
* Mon Oct 21 2019 Steve Linabery <slinaber@redhat.com> 0.7.2-0.20181008172522.9a4bc2d
- Silence useless facter errors when calling crm_node
- Extend deep_compare to stonith resources
- pcs 0.10: authenticate nodes before adding them to the cluster
- Support for SBD (watchdog only)
- Pin rspec-puppet-facts if older ruby
- Support upcoming forcing of tls priorities
- Scale up logic with extra IP addresses for pcs 0.10
- Force to use markdown to prevent pypi issue
- Redirect stderr to stdout in push_cib() and backup_cib()
- Add new pcs 0.10 compatible remote addition implementation
- Introduce a pcs_without_push function
- pcs 0.10 clone resources changed parameters
- Do not avoid same node with INFINITY score
- Update master for stable/0.7.x
- Release 0.7.2
- Make the redfish stonith agent a manual agent and add two workaround
- Add fence-redfish support
- Initial support for properties managed by pcs 0.10
- Initial pcs 0.10 support
- Modify puppet version 4 to 5
- Add cluster_members_addr parameter to specify ip addresses used in cluster setup
- Update mailinglist from dev to discuss
- Remove unneeded spec testing file
- Deprecate include_class
- Fix container_backend customizability
- Fix stdlib version in metadata
- Skip some tests for Ubuntu 18.04 and puppet 4.8.
- Update min tox version to 2.0
- Fix typos in doc
- Add 'Development' in README

* Wed Apr 03 2019 Michele Baldessari <michele@acksyn.org> 0.7.2-0.20181008172521.9a4bc2d
- Fix up ordering of remote authkeys and a couple of pcs commands (rhbz#1459503 rhbz#1661551)

* Mon Dec 03 2018 Michele Baldessari <michele@acksyn.org> 0.7.2-0.20181008172520.9a4bc2d
- Match node properties more strictly (rhbz#1655217)

* Mon Nov 12 2018 Michele Baldessari <michele@acksyn.org> 0.7.2-0.20181008172519.9a4bc2d
- Improve deep_compare detection (rhbz#1634048)

* Tue Oct 16 2018 Thierry Vignaud <tvignaud@redhat.com> 0.7.2-0.20181008172518.9a4bc2d
- Fix reconnect_interval parameter (rhbz#1639358)

